/***************************************************************************
                          xboard.h  -  description
                             -------------------
    begin                : ven fv 22 21:25:00 CET 2002
    copyright            : (C) 2002 by Romain Vinot
    email                : vinot@aist.enst.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _XBOARD_H_
#define _XBOARD_H_

/*
  XBoard is the GUI class encompasses the Board class.
*/

#include <iostream>

#include "guiboard.h"

class XBoard : public GUIBoard
{
public:
  XBoard();
  ~XBoard();

  void printBoard(void);
  void Init(void);

  void setYellowCases(set<int> *cases);
  void setYellowCasesFromEntryZone();
  void delYellowCases(void);


  void setKilled(int caseId, bool isMarine);
};

#endif
